
/**
 * Klasse Konto
 *
 * @author Roman Schenk
 * @version 23.09.2021
 */
public class Konto
{
    // instance variables
    private String kontoinhaber;
    private int kontostand;
    private int zinssatz;

    /**
     * Konstruktor mit Kontoinhaber als Parameter
     * Es wird der Standardzinssatz von 2 verwendet.
     */
    public Konto(String kontoinhaber)
    {
        // initialise instance variables
        this.kontoinhaber = kontoinhaber;
        kontostand = 0;
        zinssatz = 2;
    }
    
    /**
     * Konstruktor mit Kontoinhaber und Zinssatz als Parameter
     */
    public Konto(String kontoinhaber, int zinssatz)
    {
        // initialise instance variables
        this.kontoinhaber = kontoinhaber;
        kontostand = 0;
        this.zinssatz = zinssatz;
    }

    /**
     * gibt den festgelegten Zinssatz zurück.
     */
    public int gibZinssatz()
    {
        // put your code here
        return zinssatz;
    }
    
    /**
     * ändert den festgelegten Zinssatz
     */
    public void setzeZinssatz(int zinssatz)
    {
        this.zinssatz = zinssatz;
    }
    
    /**
     * vergrössert den Kontostand um den angegebenen Betrag
     */
    public void geldEinzahlen(int betrag)
    {
        kontostand += betrag;
    }
    
    /**
     * Verkleinert den Kontostand um den angegebenen Betrag
     */
    public void geldAbheben(int betrag)
    {
        kontostand -= betrag;
    }
    
    /**
     * gibt den Jahreszins mit dem aktuellen Kontostand und festgelegten Zinssatz zurück.
     */
    public int jahreszins()
    {
        int jahreszins = (kontostand / 100 * zinssatz);
        return jahreszins;
    }
    
    /**
     * Gibt die Informationen zum Konto aus.
     */
    public void informationenAusgeben()
    {
        System.out.println("Informationen zum Konto");
        System.out.println("Kontoinhaber: " + kontoinhaber);
        System.out.println("Kontostand: " + kontostand);
        System.out.println("Zinssatz: " + zinssatz);
    }
    
}
